# Makefile.in generated automatically by automake 1.4-p5 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# This file was automatically generated
# DO NOT EDIT!
#


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AS = @AS@
CC = @CC@
CCthreads = @CCthreads@
DLLTOOL = @DLLTOOL@
ECHO = @ECHO@
EXEEXT = @EXEEXT@
F77 = @F77@
FFTW_MPI_INCLUDELIST = @FFTW_MPI_INCLUDELIST@
FFTW_MPI_LIBLIST = @FFTW_MPI_LIBLIST@
FFTW_MPI_PROGLIST = @FFTW_MPI_PROGLIST@
FFTW_PREFIX = @FFTW_PREFIX@
FFTW_THREADS_INCLUDELIST = @FFTW_THREADS_INCLUDELIST@
FFTW_THREADS_LIBLIST = @FFTW_THREADS_LIBLIST@
FFTW_THREADS_PROGLIST = @FFTW_THREADS_PROGLIST@
FLIBS = @FLIBS@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
MPICC = @MPICC@
MPILIBS = @MPILIBS@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PERL = @PERL@
RANLIB = @RANLIB@
SHARED_VERSION = @SHARED_VERSION@
SHARED_VERSION_INFO = @SHARED_VERSION_INFO@
STRIP = @STRIP@
THREADLIBS = @THREADLIBS@
VERSION = @VERSION@

lib_LTLIBRARIES = libXXX_FFTW_PREFIX_XXXrfftw.la
include_HEADERS = XXX_FFTW_PREFIX_XXXrfftw.h
INCLUDES = -I$(srcdir)/../fftw -I$(srcdir)

NOTW_CODELETS = frc_1.S frc_2.S frc_3.S frc_4.S frc_5.S frc_6.S frc_7.S frc_8.S frc_9.S frc_10.S frc_11.S frc_12.S frc_13.S frc_14.S frc_15.S frc_16.S frc_32.S frc_64.S frc_128.S frc_256.S
TWID_CODELETS = fhf_2.S fhf_3.S fhf_4.S fhf_5.S fhf_6.S fhf_7.S fhf_8.S fhf_9.S fhf_10.S fhf_16.S fhf_32.S fhf_64.S fhf_128.S
NOTWI_CODELETS = fcr_1.S fcr_2.S fcr_3.S fcr_4.S fcr_5.S fcr_6.S fcr_7.S fcr_8.S fcr_9.S fcr_10.S fcr_11.S fcr_12.S fcr_13.S fcr_14.S fcr_15.S fcr_16.S fcr_32.S fcr_64.S fcr_128.S fcr_256.S
TWIDI_CODELETS = fhb_2.S fhb_3.S fhb_4.S fhb_5.S fhb_6.S fhb_7.S fhb_8.S fhb_9.S fhb_10.S fhb_16.S fhb_32.S fhb_64.S fhb_128.S

CODELETS = $(NOTW_CODELETS) $(TWID_CODELETS) $(NOTWI_CODELETS) $(TWIDI_CODELETS)
OTHERSRC = rconfig.c rplanner.c rexec.c rexec2.c rfftwnd.c rgeneric.c \
           rfftwf77.c


libXXX_FFTW_PREFIX_XXXrfftw_la_SOURCES = $(CODELETS) $(OTHERSRC)    \
					 rfftw.h                   


libXXX_FFTW_PREFIX_XXXrfftw_la_LDFLAGS = -version-info @SHARED_VERSION_INFO@
MAINTAINERCLEANFILES = $(CODELETS) rconfig.c
DISTCLEANFILES = srfftw.h drfftw.h

CLEANFILES = XXX_FFTW_PREFIX1_XXXrfftw.h

# for some reason, automake tries to use autoheader in order to
# generate config.h.in, and fails because config.h.in is GNU-lly
# incorrect.  Just disable autoheader
AUTOHEADER = echo
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../fftw/config.h ../fftw/fftw.h
CONFIG_CLEAN_FILES = 
LTLIBRARIES =  $(lib_LTLIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../fftw -I../fftw
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libXXX_FFTW_PREFIX_XXXrfftw_la_LIBADD = 
libXXX_FFTW_PREFIX_XXXrfftw_la_OBJECTS =  frc_1.lo frc_2.lo frc_3.lo \
frc_4.lo frc_5.lo frc_6.lo frc_7.lo frc_8.lo frc_9.lo frc_10.lo \
frc_11.lo frc_12.lo frc_13.lo frc_14.lo frc_15.lo frc_16.lo frc_32.lo \
frc_64.lo frc_128.lo frc_256.lo fhf_2.lo fhf_3.lo fhf_4.lo fhf_5.lo \
fhf_6.lo fhf_7.lo fhf_8.lo fhf_9.lo fhf_10.lo fhf_16.lo fhf_32.lo \
fhf_64.lo fhf_128.lo fcr_1.lo fcr_2.lo fcr_3.lo fcr_4.lo fcr_5.lo \
fcr_6.lo fcr_7.lo fcr_8.lo fcr_9.lo fcr_10.lo fcr_11.lo fcr_12.lo \
fcr_13.lo fcr_14.lo fcr_15.lo fcr_16.lo fcr_32.lo fcr_64.lo fcr_128.lo \
fcr_256.lo fhb_2.lo fhb_3.lo fhb_4.lo fhb_5.lo fhb_6.lo fhb_7.lo \
fhb_8.lo fhb_9.lo fhb_10.lo fhb_16.lo fhb_32.lo fhb_64.lo fhb_128.lo \
rconfig.lo rplanner.lo rexec.lo rexec2.lo rfftwnd.lo rgeneric.lo \
rfftwf77.lo
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(include_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
DEP_FILES =  .deps/fcr_1.P .deps/fcr_10.P .deps/fcr_11.P .deps/fcr_12.P \
.deps/fcr_128.P .deps/fcr_13.P .deps/fcr_14.P .deps/fcr_15.P \
.deps/fcr_16.P .deps/fcr_2.P .deps/fcr_256.P .deps/fcr_3.P \
.deps/fcr_32.P .deps/fcr_4.P .deps/fcr_5.P .deps/fcr_6.P .deps/fcr_64.P \
.deps/fcr_7.P .deps/fcr_8.P .deps/fcr_9.P .deps/fhb_10.P \
.deps/fhb_128.P .deps/fhb_16.P .deps/fhb_2.P .deps/fhb_3.P \
.deps/fhb_32.P .deps/fhb_4.P .deps/fhb_5.P .deps/fhb_6.P .deps/fhb_64.P \
.deps/fhb_7.P .deps/fhb_8.P .deps/fhb_9.P .deps/fhf_10.P \
.deps/fhf_128.P .deps/fhf_16.P .deps/fhf_2.P .deps/fhf_3.P \
.deps/fhf_32.P .deps/fhf_4.P .deps/fhf_5.P .deps/fhf_6.P .deps/fhf_64.P \
.deps/fhf_7.P .deps/fhf_8.P .deps/fhf_9.P .deps/frc_1.P .deps/frc_10.P \
.deps/frc_11.P .deps/frc_12.P .deps/frc_128.P .deps/frc_13.P \
.deps/frc_14.P .deps/frc_15.P .deps/frc_16.P .deps/frc_2.P \
.deps/frc_256.P .deps/frc_3.P .deps/frc_32.P .deps/frc_4.P \
.deps/frc_5.P .deps/frc_6.P .deps/frc_64.P .deps/frc_7.P .deps/frc_8.P \
.deps/frc_9.P .deps/rconfig.P .deps/rexec.P .deps/rexec2.P \
.deps/rfftwf77.P .deps/rfftwnd.P .deps/rgeneric.P .deps/rplanner.P
SOURCES = $(libXXX_FFTW_PREFIX_XXXrfftw_la_SOURCES)
OBJECTS = $(libXXX_FFTW_PREFIX_XXXrfftw_la_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu rfftw/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-libLTLIBRARIES:

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)

distclean-libLTLIBRARIES:

maintainer-clean-libLTLIBRARIES:

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libXXX_FFTW_PREFIX_XXXrfftw.la: $(libXXX_FFTW_PREFIX_XXXrfftw_la_OBJECTS) $(libXXX_FFTW_PREFIX_XXXrfftw_la_DEPENDENCIES)
	$(LINK) -rpath $(libdir) $(libXXX_FFTW_PREFIX_XXXrfftw_la_LDFLAGS) $(libXXX_FFTW_PREFIX_XXXrfftw_la_OBJECTS) $(libXXX_FFTW_PREFIX_XXXrfftw_la_LIBADD) $(LIBS)

install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(includedir)/$$p"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(includedir)/$$p; \
	done

uninstall-includeHEADERS:
	@$(NORMAL_UNINSTALL)
	list='$(include_HEADERS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(includedir)/$$p; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = rfftw

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu rfftw/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-libLTLIBRARIES
install-exec: install-exec-am

install-data-am: install-includeHEADERS
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-libLTLIBRARIES uninstall-includeHEADERS
uninstall: uninstall-am
all-am: Makefile $(LTLIBRARIES) $(HEADERS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(libdir) $(DESTDIR)$(includedir)


mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
mostlyclean-am:  mostlyclean-libLTLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags mostlyclean-depend \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-libLTLIBRARIES clean-compile clean-libtool clean-tags \
		clean-depend clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-libLTLIBRARIES distclean-compile \
		distclean-libtool distclean-tags distclean-depend \
		distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-libLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-depend \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-libLTLIBRARIES distclean-libLTLIBRARIES \
clean-libLTLIBRARIES maintainer-clean-libLTLIBRARIES \
uninstall-libLTLIBRARIES install-libLTLIBRARIES mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile \
mostlyclean-libtool distclean-libtool clean-libtool \
maintainer-clean-libtool uninstall-includeHEADERS \
install-includeHEADERS tags mostlyclean-tags distclean-tags clean-tags \
maintainer-clean-tags distdir mostlyclean-depend distclean-depend \
clean-depend maintainer-clean-depend info-am info dvi-am dvi check \
check-am installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


XXX_FFTW_PREFIX1_XXXrfftw.h: rfftw.h
	rm -f XXX_FFTW_PREFIX_XXXrfftw.h
	sed 's/<fftw/<XXX_FFTW_PREFIX_XXXfftw/g;s/<rfftw/<XXX_FFTW_PREFIX_XXXrfftw/g' rfftw.h > XXX_FFTW_PREFIX_XXXrfftw.h

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
